﻿using Agile.Demo1.API.Models;
using Microsoft.AspNetCore.Mvc;
using System;

namespace Agile.Demo1.API.Controllers
{
    [Route("api/[controller]/[action]")]
    [ApiController]
    public class HealthController : ControllerBase
    {
        /// <summary>
        /// api检查
        /// </summary>
        /// <returns></returns>
        [HttpGet]
        public AgileReturn<string> Test()
        {
            try
            {
                string dbTime = DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss");
                return new AgileReturn<string>() { success = true, code = "0", message = "测试成功", data = dbTime };
            }
            catch (Exception ex)
            {
                return new AgileReturn<string>() { success = false, code = "1", message = $"测试失败：{ex.Message}", data = "" };
            }
        }
    }
}