﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Agile.Demo1.API.Models;
using Microsoft.AspNetCore.Mvc;

namespace Agile.Demo1.API.Controllers.v1
{
    [ApiVersion("1")]
    [Route("api/v{version:apiVersion}/[controller]/[action]")]
    [ApiController]
    public class ValuesController : ControllerBase
    {
        [HttpPost]
        public AgileReturn<OrderDTO> SaveOrder(OrderDTO dto)
        {
            try
            {
                dto.TradeDate = DateTime.Now;
                return new AgileReturn<OrderDTO>() { success = true, code = "0", message = "订单保存成功", data = dto };
            }
            catch (Exception ex)
            {
                return new AgileReturn<OrderDTO>() { success = false, code = "1", message = $"订单保存失败：{ex.Message}", data = null };
            }
        }



        // GET api/values
        [HttpGet]
        public ActionResult<IEnumerable<string>> Get()
        {
            return new string[] { "value1", "value2" };
        }

        // GET api/values/5
        [HttpGet("{id}")]
        public ActionResult<string> Get(int id)
        {
            return "value";
        }

        // POST api/values
        [HttpPost]
        public void Post([FromBody] string value)
        {
        }

        // PUT api/values/5
        [HttpPut("{id}")]
        public void Put(int id, [FromBody] string value)
        {
        }

        // DELETE api/values/5
        [HttpDelete("{id}")]
        public void Delete(int id)
        {
        }
    }
}
